=== debian/changelog ===
hepmc3 (3.1.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:50 +0100

hepmc3 (3.1.2-2) unstable; urgency=medium

  * Move doxygen from B-D-I to B-D. (Closes: #933629)
  * Don't run unit tests on arch=all.
  * Fixup FTBFS on any architecture.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 14:14:37 +0800

hepmc3 (3.1.2-1) unstable; urgency=medium

  [ Andrii Verbytskyi ]
  * New upstream release 3.1.2

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 18 Sep 2019 23:12:13 +0800
