=== debian/control ===
Source: hepmc3
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: HepMC developers <hepmc-dev@NOSPAM.cern.ch>,
           Mo Zhou <cdluminate@gmail.com>,
Build-Depends: debhelper (>= 9~), cmake, doxygen
Standards-Version: 4.3.0
Homepage: http://hepmc.web.cern.ch/hepmc/
Vcs-Git: https://salsa.debian.org/science-team/hepmc3.git
Vcs-Browser: https://salsa.debian.org/science-team/hepmc3

Package: libhepmc3
Section: libs
Architecture: any
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libhepmc3-search
Suggests: libhepmc3-dev, libhepmc3-search-dev
Description: Event Record for Monte Carlo Generators
 The HepMC package is an object oriented event record written in C++ for
 High Energy Physics Monte Carlo Generators.
 .
 Many extensions from HEPEVT, the Fortran HEP standard, are supported: the
 number of entries is unlimited, spin density matrices can be stored with
 each vertex, flow patterns (such as color) can be stored and traced,
 integers representing random number generator states can be stored, and an
 arbitrary number of event weights can be included. Particles and vertices
 are kept separate in a graph structure, physically similar to a physics
 event.
 .
 The added information supports the modularisation of event generators.
 Event information is accessed by means of iterators supplied with the
 package. 
 .
 This package ships the shared object for HepMC3.

Package: libhepmc3-dev
Section: libdevel
Architecture: any
Depends: libhepmc3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libhepmc3-search-dev
Suggests: hepmc3-doc
Description: Event Record for Monte Carlo Generators - development files
 The HepMC package is an object oriented event record written in C++ for
 High Energy Physics Monte Carlo Generators.
 .
 Many extensions from HEPEVT, the Fortran HEP standard, are supported: the
 number of entries is unlimited, spin density matrices can be stored with
 each vertex, flow patterns (such as color) can be stored and traced,
 integers representing random number generator states can be stored, and an
 arbitrary number of event weights can be included. Particles and vertices
 are kept separate in a graph structure, physically similar to a physics
 event.
 .
 The added information supports the modularisation of event generators.
 Event information is accessed by means of iterators supplied with the
 package.
 .
 This package provides development files for HepMC3.

Package: libhepmc3-search
Section: libs
Architecture: any
Depends: libhepmc3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: hepmc3-doc
Description: Monte Carlo event record FIO library -  search engine
 The HepMC package is an object oriented event record written in C++ for
 High Energy Physics Monte Carlo Generators.
 .
 Many extensions from HEPEVT, the Fortran HEP standard, are supported: the
 number of entries is unlimited, spin density matrices can be stored with
 each vertex, flow patterns (such as color) can be stored and traced,
 integers representing random number generator states can be stored, and an
 arbitrary number of event weights can be included. Particles and vertices
 are kept separate in a graph structure, physically similar to a physics
 event.
 .
 The added information supports the modularisation of event generators.
 Event information is accessed by means of iterators supplied with the
 package.
 .
 This package ships the shared object for HepMC3 search engine.

Package: libhepmc3-search-dev
Section: libdevel
Architecture: any
Depends: libhepmc3-search (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: hepmc3-doc
Description: Event Record for Monte Carlo Generators - development files for search engine
 The HepMC package is an object oriented event record written in C++ for
 High Energy Physics Monte Carlo Generators.
 .
 Many extensions from HEPEVT, the Fortran HEP standard, are supported: the
 number of entries is unlimited, spin density matrices can be stored with
 each vertex, flow patterns (such as color) can be stored and traced,
 integers representing random number generator states can be stored, and an
 arbitrary number of event weights can be included. Particles and vertices
 are kept separate in a graph structure, physically similar to a physics
 event.
 .
 The added information supports the modularisation of event generators.
 Event information is accessed by means of iterators supplied with the
 package.
 .
 This package providesthe development files  for HepMC3 search engine.

Package: hepmc3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libhepmc3-dev, libhepmc3
Description: Event Record for Monte Carlo Generators (docs)
 The HepMC package is an object oriented event record written in C++ for
 High Energy Physics Monte Carlo Generators.
 .
  Many extensions from HEPEVT, the Fortran HEP standard, are supported: the
 number of entries is unlimited, spin density matrices can be stored with
 each vertex, flow patterns (such as color) can be stored and traced,
 integers representing random number generator states can be stored, and an
 arbitrary number of event weights can be included. Particles and vertices
 are kept separate in a graph structure, physically similar to a physics
 event.
 .
 The added information supports the modularisation of event generators.
 Event information is accessed by means of iterators supplied with the
 package.
 .
 This package provides documentation  and examples for HepMC3.
